package cn.com.countrygarden.bi.main.service.districtReport;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.districtReport.RdDistrictInfoDTO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.districtReport.RdDistrictPrincipal;
import cn.com.countrygarden.bi.main.model.dup.DupOrgan;

import java.util.List;

/**
 * 片区信息-业务逻辑层
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2019-08-14
 */
public interface RdDistrictInfoService {

    Result queryPageList(RdDistrictInfoDTO rdDistrictInfoDTO, int page, int size,AccessToken accessToken);

    Result queryById(Integer id);

    Result addonePrincipale(Integer id);

    Result add(RdDistrictInfoDTO rdDistrictInfoDTO, AccessToken accessToken);

    Result addPrincipal(RdDistrictPrincipal rdDistrictPrincipal,AccessToken accessToken);

    Result prCommId(String commName);

    Result edit(RdDistrictInfoDTO rdDistrictInfoDTO, AccessToken accessToken);

    Result del(Integer id,AccessToken accessToken,String updateName);

    Result deletePrincipal(Integer id,AccessToken accessToken);

    List<DupOrgan> findDupCommByUserCode(String userCode, String organCode, boolean isManager);

    Result delpiliang(String ids,AccessToken accessToken,String updateName);

    Result rdDistrictInfoBown(String regionCode,AccessToken accessToken);

    Result projectMp(String districtCode,AccessToken accessToken);

    Result districtNameMp(String districtName,AccessToken accessToken);

    Result rdDistrictInfoAddOne(String regionCode, String districtName);

    List<DupOrgan> findAllDupCommByUserCode(String userCode, Object o, boolean b);
}